package com.gamepatriot.androidframework.framework;

/** 
 * The AndroidSoundHandler implementation should contain functionality for allowing short-length audio playback.
 * 
 * @author Pete Schmitz, May 9, 2013
 *
 */
public interface AndroidSoundHandler {
	
	/** Disable the sound handler from allowing any further audio playback. **/
	public void muteSounds();
	
	/** Enable the sound handler to allow audio playback. **/
	public void unmuteSounds();
	
	/** Set the left and right volumes for audio playback. **/
	public void soundVolume(float $amount);
	
	/** Set the left volume for audio playback. **/
	public void leftSoundVolume(float $amount);
	
	/** Set the right volume for audio playback. **/
	public void rightSoundVolume(float $amount);
	
}
